Multisite?

Where is the multisite plugin? Most of the plugins I want say that Multisite is required. Where is this?

  • Jack Kitterhing

    Hi there!

    Welcome to WPMU DEV!

    Multisite isn't a plugin, it's part of a WordPress, WordPress can be installed in one of two ways,

    A single site install or a multisite, a multisite install is where your users can sign up for a website through your website, so in effect you can host websites if that makes sense. So if a user signed up for a website it would be in the form of either a sub domain or sub folder/path, a sub domain is in this format.

    therechoosenname.yourdomain.com

    a sub folder/path is in this format.

    yourdomain.com/theirchoosenname

    Have a read through this WordPress codex part http://codex.wordpress.org/Create_A_Network

    If you need me to explain it any more let me know :slight_smile:

    Thanks!

    Kind Regards
    Jack (Coding-Monkey).

  • Jack Kitterhing

    Hi there!

    It's a pretty nifty feature eh?

    If you already have WordPress installed, open up your wp-config.php and and find this

    /* Multisite */
    define('WP_ALLOW_MULTISITE', false);

    Change false to true, so it should now read like this

    /* Multisite */
    define('WP_ALLOW_MULTISITE', true);

    You should find it above the line, /* That's all, stop editing! Happy blogging. */

    Then you'll need to refresh your WordPress admin to continue, you may need to clear your cache and cookies and log-back in. Then go to Tools -> network setup and follow the steps. The codex here http://codex.wordpress.org/Create_A_Network would be good to have open in a different tab to refer to when setting it up, if you get stuck or have any problems, feel free to ask!

    Thanks!

    Kind Regards
    Jack (Coding-Monkey).

  • Vaughan

    Hi @vegaspro

    Welcome to the community

    There's not much else I can say that coding Monkey hasn't said, Creating a network site is a bit more complext to running a single site, If you really need multisite functionality then go for it, But if you actually don't need multisite capability, I would recommend not using it.

    most of the plugins, will work on single site or multisite. there's only a few that only work on multisite, They are mainly tools that are for administering a multi-network environment.

    on the compatibility list.

    if it says wordpress 3.5.1 as well as multisite, then the plugin is compatible with a single site install and a multisite. if however it just says multisite (no mention of wordpress 3.5.1) then it is only compatible with a multisite install.

    Hope this helps, feel free to ask if you require any further assistance.

    thanks.

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.